# 获取抓取状态 (/zh/api-reference/endpoint/crawl-get)

<!-- agent-signals: reading_time_min: 3 · est_tokens: 2241 · updated: 2026-07-30 -->
Related: [Search（搜索）](/zh/api-reference/endpoint/search.md), [搜索反馈](/zh/api-reference/endpoint/search-feedback.md), [Scrape](/zh/api-reference/endpoint/scrape.md), [批量抓取](/zh/api-reference/endpoint/batch-scrape.md), [获取批量抓取状态](/zh/api-reference/endpoint/batch-scrape-get.md), [取消批量抓取](/zh/api-reference/endpoint/batch-scrape-delete.md)

> 如果你是需要 Firecrawl API 密钥的 AI 代理，请参阅 [firecrawl.dev/agent-onboarding/SKILL.md](https://www.firecrawl.dev/agent-onboarding/SKILL.md) 了解自动化入门说明。

`GET /crawl/{id}`

获取爬取任务状态

## OpenAPI

```json
{
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "parameters": [
    {
      "description": "爬取任务的 ID",
      "in": "path",
      "name": "id",
      "required": true,
      "schema": {
        "format": "uuid",
        "type": "string"
      }
    }
  ],
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "schema": {
            "properties": {
              "completed": {
                "description": "已成功爬取的页面数量。",
                "type": "integer"
              },
              "completedAt": {
                "description": "爬取完成的日期和时间。仅当爬取处于终态（`completed`、`failed` 或 `cancelled`）时才会显示。",
                "format": "date-time",
                "type": "string"
              },
              "createdAt": {
                "description": "爬取开始的日期和时间。",
                "format": "date-time",
                "type": "string"
              },
              "creditsUsed": {
                "description": "本次爬取所使用的积分数量。",
                "type": "integer"
              },
              "data": {
                "description": "本次爬取的数据。",
                "items": {
                  "properties": {
                    "html": {
                      "description": "如果 `includeHtml` 为 true，则返回页面内容的 HTML 版本",
                      "nullable": true,
                      "type": "string"
                    },
                    "links": {
                      "description": "如果 `includeLinks` 为 true，则包含页面上的链接列表",
                      "items": {
                        "type": "string"
                      },
                      "type": "array"
                    },
                    "markdown": {
                      "type": "string"
                    },
                    "metadata": {
                      "properties": {
                        "<any other metadata> ": {
                          "type": "string"
                        },
                        "concurrencyLimited": {
                          "description": "此次抓取是否因团队并发限制而被限流",
                          "type": "boolean"
                        },
                        "concurrencyQueueDurationMs": {
                          "description": "该请求在并发队列中的等待时间（毫秒）。仅当 concurrencyLimited 为 true 时返回。",
                          "type": "number"
                        },
                        "description": {
                          "description": "从页面提取的描述，可以是字符串或字符串数组",
                          "oneOf": [
                            {
                              "type": "string"
                            },
                            {
                              "items": {
                                "type": "string"
                              },
                              "type": "array"
                            }
                          ]
                        },
                        "error": {
                          "description": "页面错误信息",
                          "nullable": true,
                          "type": "string"
                        },
                        "keywords": {
                          "description": "从页面中提取的关键词，可以是字符串或字符串数组",
                          "oneOf": [
                            {
                              "type": "string"
                            },
                            {
                              "items": {
                                "type": "string"
                              },
                              "type": "array"
                            }
                          ]
                        },
                        "language": {
                          "description": "从页面中提取的语言，可以是一个字符串或字符串数组",
                          "nullable": true,
                          "oneOf": [
                            {
                              "type": "string"
                            },
                            {
                              "items": {
                                "type": "string"
                              },
                              "type": "array"
                            }
                          ]
                        },
                        "numPages": {
                          "description": "对于 PDF 输入，表示已解析的页数（上限由解析器的 maxPages 选项决定）。",
                          "type": "integer"
                        },
                        "ogLocaleAlternate": {
                          "description": "此页面的其他本地化版本",
                          "items": {
                            "type": "string"
                          },
                          "type": "array"
                        },
                        "sourceURL": {
                          "description": "初始请求的 URL。如果发生重定向，可能与页面的最终 URL 不同。",
                          "format": "uri",
                          "type": "string"
                        },
                        "statusCode": {
                          "description": "页面状态码",
                          "type": "integer"
                        },
                        "title": {
                          "description": "从页面提取的标题，可以是字符串或字符串数组。",
                          "oneOf": [
                            {
                              "type": "string"
                            },
                            {
                              "items": {
                                "type": "string"
                              },
                              "type": "array"
                            }
                          ]
                        },
                        "totalPages": {
                          "description": "对于 PDF 输入，表示文档在应用任何 maxPages 限制前的实际总页数。无法确定时将省略；如果 totalPages 大于 numPages，则表示结果已被截断。",
                          "type": "integer"
                        },
                        "url": {
                          "description": "跟随所有重定向后得到的页面最终 URL。",
                          "format": "uri",
                          "type": "string"
                        }
                      },
                      "type": "object"
                    },
                    "rawHtml": {
                      "description": "如果 `includeRawHtml` 为 true，则为页面的原始 HTML 内容",
                      "nullable": true,
                      "type": "string"
                    },
                    "screenshot": {
                      "description": "`includeScreenshot` 为 true 时的页面截图",
                      "nullable": true,
                      "type": "string"
                    }
                  },
                  "type": "object"
                },
                "type": "array"
              },
              "duration": {
                "description": "爬取持续时间，单位为秒。对于已结束的爬取，这是从 `createdAt` 到 `completedAt` 的耗时。对于进行中的爬取，这是从 `createdAt` 到当前的耗时。",
                "type": "number"
              },
              "expiresAt": {
                "description": "此抓取任务的到期日期和时间。",
                "format": "date-time",
                "type": "string"
              },
              "next": {
                "description": "用于获取后续 10MB 数据的 URL。当抓取尚未完成，或响应内容超过 10MB 时，会返回该字段。",
                "nullable": true,
                "type": "string"
              },
              "status": {
                "description": "当前爬取任务的状态。状态可能为 `scraping`、`completed` 或 `failed`。",
                "type": "string"
              },
              "total": {
                "description": "尝试爬取的页面总数。",
                "type": "integer"
              }
            },
            "type": "object"
          }
        }
      },
      "description": "成功的响应"
    },
    "402": {
      "content": {
        "application/json": {
          "schema": {
            "properties": {
              "error": {
                "example": "Payment required to access this resource.",
                "type": "string"
              }
            },
            "type": "object"
          }
        }
      },
      "description": "需要付费"
    },
    "429": {
      "content": {
        "application/json": {
          "schema": {
            "properties": {
              "error": {
                "example": "Request rate limit exceeded. Please wait and try again later.",
                "type": "string"
              }
            },
            "type": "object"
          }
        }
      },
      "description": "请求过于频繁"
    },
    "500": {
      "content": {
        "application/json": {
          "schema": {
            "properties": {
              "error": {
                "example": "An unexpected error occurred on the server.",
                "type": "string"
              }
            },
            "type": "object"
          }
        }
      },
      "description": "服务器错误"
    }
  }
}
```
